package config

// Redis

const (
	RedisKeyForTaskQueue     string = "task_queue"
	RedisKeyForTaskQueueBody string = "task_queue_body"

	RedisKeyForAccount    string = "account"
	RedisKeyForTenant     string = "tenant:instance"
	RedisKeyForTenantKeys string = "tenant:keys"
)

const (
	TokenForUID     string = "uid"
	TokenForSession string = "session"
	TokenForGrade   string = "grade"
)

const (
	APIRequestToken string = "x-token"
	APIRequestGrade string = "x-grade"
)

const (
	ContentForLocal string = "local"
)

const (
	EventForRedisHashProduce string = "redis_hash_produce"
	EventForRedisHashDestroy string = "redis_hash_destroy"

	EventForRedisListProduce string = "redis_list_produce"
	EventForRedisListDestroy string = "redis_list_destroy"

	EventForAccountLoginProduce string = "account_login_produce"
	EventForSysLogProduce       string = "sys_log_produce"
)

const (
	DefaultChinaAreaCode string = "86"
)
